<div ng-if="action==2">
    <div class="row">
        <div class="col">


            <md-input-container class="md-block" flex-gt-sm>
                <label>vehicle ride id</label>
                <input ng-model="vehicle.vehicleride_id" ng-required="true">
                <div ng-messages="vehicleride_id.$error">
                    <div ng-message="required">This is required.</div>
                </div>
        </div>
        <div class="col">
            <md-input-container class="md-block" flex-gt-sm>
                <label>vehicle ride user id</label>
                <input ng-model="vehicle.vehicleride_user_id" ng-required="true">
        </div>
        <div class="col">
            <md-input-container class="md-block" flex-gt-sm>
                <label>vehicle ride vehicle id</label>
                <input ng-model="vehicle.vehicleride_vehicle_id" ng-required="true">
        </div>
    </div>
    <div class="row">
        <div class="col">
            </md-input-container>
            <md-datepicker ng-model="vehicle.stdate" md-placeholder="Enter vehicle ride start date">
            </md-datepicker>
        </div>
        <div class="col">
            </md-input-container>
            <md-datepicker ng-model="vehicle.endate" md-placeholder="Enter vehicle ride end date">
            </md-datepicker>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <md-input-container class="md-block" flex-gt-sm>
                <label>vehicleride_start_latlng</label>
                <input ng-model="vehicle.vehicleride_start_latlng">
        </div>
        <div class="col">
            <md-input-container class="md-block" flex-gt-sm>
                <label>vehicleride_end_latlng</label>
                <input ng-model="vehicle.vehicleride_end_latlng">
        </div>

    </div>
    <div class="row">
        <div class="col">
            </md-input-container>
            <md-datepicker ng-model="vehicle.crtdate" md-placeholder="Enter vehicle ride created date">
            </md-datepicker>
        </div>
        <div class="col">
            </md-input-container>
            <md-datepicker ng-model="vehicle.update" md-placeholder="Enter vehicle ride updated date">
            </md-datepicker>
        </div>
    </div>
    </br>
    <md-button text="cick" class="md-raised" type="submit" ng-click="add_vehicle($event)">submit</md-button>
</div>
<div ng-if="action!=2">
    <br />

    <div class="row" ng-if="searchView == 2">
        <div class="col-lg-2 col-sm-2 col">
            <md-input-container class="md-block">
                <label>vehicle id</label>

                <input ng-model="search.vehicle_id" type="text ">
            </md-input-container>
        </div>
    </div>
    <br />

    <div ng-cloak>
        <md-content>
            <md-tabs md-dynamic-height md-border-bottom>
                <md-tab label="table view">
                    <md-content class="md-padding">
                        <!-- <h1 class="md-display-2">table view</h1> -->
                        <table class="table table-bordered table-striped table-hover table-sm">
                            <thead>
                                <tr>
                                    <th borer=1> vehicle ride id</th>
                                    <th> vehicle ride user id</th>
                                    <th> vehicle ride vehicle id</th>
                                    <th> vehicle ride start date</th>
                                    <th> vehicle ride end date</th>
                                    <th>vehicle_ride_start_latlng</th>
                                    <th> vehicle_ride_end_latlng</th>
                                    <th> vehicle ride created date </th>
                                    <th> vehicle ride updated date</th>
                                    <th> Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="(m,x) in vehicles | filter:{ vehicle_id: search.vehicle_id }">
                                    <td>{{x.vehicleride_id}}</td>
                                    <td>{{x.vehicleride_user_id}}</td>
                                    <td>{{x.vehicleride_vehicle_id}}</td>
                                    <td>{{x.stdate}}</td>
                                    <td>{{x.endate}}</td>
                                    <td>{{x.vehicleride_start_latlng}}</td>
                                    <td>{{x.vehicleride_end_latlng}}</td>
                                    <td>{{x.crtdate}}</td>
                                    <td>{{x.update}}</td>
                                    <td>
                                        <button ng-click="edit_vehicle(x)">Edit</button>
                                        <button ng-click="delete_vehicle(x)">Delete</button>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </md-content>
                </md-tab>
                <md-tab label="Grid card view">
                    <md-content class="md-padding">
                        <div class="row">
                            <div class="col-md-3" ng-repeat="(m,x) in vehicles | filter:{ vehicle_id: search.vehicle_id }">
                                <div class="card">
                                    <img class="card-img-top" src="https://via.placeholder.com/150x100?text=Tork" alt="Card image cap">
                                    <div class="card-body">
                                        <h5 class="card-title">Vehicles ride Details</h5>
                                        <p class="card-text">ID: {{x.vehicleride_id}}.
                                            <br /> user id:-{{x.vehicleride_user_id}}
                                            <br />vehicle id:{{x.vehicleride_vehicle_id}}
                                            <br />ride start date:{{x.stdate}}
                                            <br />ride end date:{{x.endate}}
                                            <br />ride_start_latlng:{{x.vehicleride_start_latlng}}
                                            <br />ride_end_latlng:{{x.vehicleride_end_latlng}}
                                            <br />ride created date:-{{x.crtdate}}
                                            <br />ride updated date:{{x.update}}
                                        </p>
                                        <a href="#" class="btn btn-primary">Go somewhere</a>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </md-content>
                </md-tab>
                <md-tab label="Card list view">
                    <md-content class="md-padding">

                        <div ng-repeat="(m,x) in vehicles | filter:{ vehicle_id: search.vehicle_id }">
                            <div class="row">
                                <div class="col-md-2 col-md-2">
                                    <img class="card-img-top" src="https://via.placeholder.com/80x80?text=Tork" alt="Card image cap">
                                </div>
                                <div class="col-md-9">
                                    <div class="card-body">
                                        <h5 class="card-title">Vehicles ride Details</h5>
                                        <p class="card-text">ID: {{x.vehicleride_id}}.
                                            <br /> user id:-{{x.vehicleride_user_id}}
                                            <br />vehicle id:{{x.vehicleride_vehicle_id}}
                                            <br />ride start date:{{x.stdate}}
                                            <br />ride end date:{{x.endate}}
                                            <br />ride_start_latlng:{{x.vehicleride_start_latlng}}
                                            <br />ride_end_latlng:{{x.vehicleride_end_latlng}}
                                            <br />ride created date:-{{x.crtdate}}
                                            <br />ride updated date:{{x.update}}
                                        </p>
                                        <!-- <a href="#" class="btn btn-primary">Go somewhere</a> -->
                                    </div>
                                </div>
                            </div>
                            <br />
                        </div>
                    </md-content>
                </md-tab>
            </md-tabs>
        </md-content>
    </div>
    <!-- <table class="table">
        <thead>
            <tr>
                <th borer=1> vehicle ride id</th>
                <th> vehicle ride user id</th>
                <th> vehicle ride vehicle id</th>
                <th> vehicle ride start date</th>
                <th> vehicle ride end date</th>
                <th>vehicle_ride_start_latlng</th>
                <th> vehicle_ride_end_latlng</th>
                <th> vehicle ride created date </th>
                <th> vehicle ride updated date</th>
                <th> Action</th>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="(m,x) in vehicles | filter:{ vehicle_id: search.vehicle_id }">
                <td>{{x.vehicleride_id}}</td>
                <td>{{x.vehicleride_user_id}}</td>
                <td>{{x.vehicleride_vehicle_id}}</td>
                <td>{{x.stdate}}</td>
                <td>{{x.endate}}</td>
                <td>{{x.vehicleride_start_latlng}}</td>
                <td>{{x.vehicleride_end_latlng}}</td>
                <td>{{x.crtdate}}</td>
                <td>{{x.update}}</td>
                <td>
                    <button ng-click="edit_vehicle(x)">Edit</button>
                    <button ng-click="delete_vehicle(x)">Delete</button>

                </td>
            </tr>
        </tbody>
    </table> -->
</div>